Справочник APIConsumerConsumer.devices
List devices in the current project
Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.
Returns every device registered under the authenticated user's consumer account for the project selected by X-Project-Id.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Header Parameters
X-Project-Id*string
UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/consumer/v1/devices" \ -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"{ "data": [ { "created_at": "2026-04-12T09:45:00Z", "id": "55555555-5555-5555-5555-555555555555", "name": "Georgy's MacBook Pro", "platform": "macos", "status": "active", "updated_at": "2026-04-12T10:05:00Z" } ], "meta": { "has_more": false, "limit": 10, "offset": 0, "total": 1 }}{ "detail": "Pool slug must be unique.", "instance": "urn:forestvpn:trace:a1b2c3d4", "title": "Validation Error", "type": "https://fvpn.net/errors/validation"}{ "detail": "Pool slug must be unique.", "instance": "urn:forestvpn:trace:a1b2c3d4", "title": "Validation Error", "type": "https://fvpn.net/errors/validation"}